commit:     c2eef5e7685d8b3e4e24197fca329b214f3911d0
Author:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 12 22:28:16 2025 +0000
Commit:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
CommitDate: Fri Jun 13 07:16:12 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c2eef5e7

dev-libs/avro-c: stop erroneously installing static libs

Closes: https://bugs.gentoo.org/725136
Closes: https://bugs.gentoo.org/957826
Signed-off-by: Eli Schwartz <eschwartz <AT> gentoo.org>

 dev-libs/avro-c/avro-c-1.12.0-r1.ebuild | 34 +++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

diff --git a/dev-libs/avro-c/avro-c-1.12.0-r1.ebuild 
b/dev-libs/avro-c/avro-c-1.12.0-r1.ebuild
new file mode 100644
index 000000000000..9281fb1e5300
--- /dev/null
+++ b/dev-libs/avro-c/avro-c-1.12.0-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="c library for the apache avro data serialization system"
+HOMEPAGE="https://avro.apache.org/";
+SRC_URI="https://archive.apache.org/dist/avro/avro-${PV}/c/avro-c-${PV}.tar.gz";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+       app-arch/snappy:=
+       >=dev-libs/jansson-2.3:=
+       sys-libs/zlib"
+RDEPEND="${DEPEND}"
+
+src_test() {
+       local CMAKE_SKIP_TESTS=(
+               test_avro_commons_schema # commons is only in full distro, not 
in avro-c
+       )
+
+       cmake_src_test
+}
+
+src_install() {
+       cmake_src_install
+       # cmake doesn't have an option to enable/disable static libs
+       rm "${ED}"/usr/$(get_libdir)/libavro.a || die
+}

Reply via email to